最新版brew无法安装php拓展解决办法

一个很不幸的消息,最新版的brew已经不支持安装PHP的拓展了,比如什么php56-redis等,这表明我们需要自己下载,安装,编译,这简直就一个字烦**,特别是我现在并不想花时间去研究这方面的问题,所以就去谷歌问题的解决方案,找到了,现在分享一下:

安装本地源
https://github.com/Homebrew/homebrew-php/tree/966f6c318be2d80b4953cd8cdc112b9611eff8d9

直接已zip的格式下载到本地

删除老的源
到命令行中运行

brew untap homebrew/php

这条命令会把该目录下的文件夹homebrew-php删除,当然,你手动删除也可以

/usr/local/Homebrew/Library/Taps/homebrew/homebrew-php

把新的源移动到上面的目录中,替换老的文件
也就是把第一步下载下来的zip解压后重命名为homebrew-php,放到第二步的文件夹中,替换老的文件夹

设置成不更新源,直接搜索本地与缓存
HOMEBREW_NO_AUTO_UPDATE=1 brew install homebrew/php/<formula>

<formula>就是你要安装的包,也可以先运行命令

HOMEBREW_NO_AUTO_UPDATE=1

关闭安装前先更新源的操作,也就是每次都会等很久的Updating Homebrew

接着就是熟悉的安装场景了

测试是否安装成功
php -m | grep <formula>

或者最熟悉的phpinfo();

重启php-fpm
由于我是本地电脑,直接关机重启就行,就是这么简单粗暴,要是是服务器,那就自己百度去。**
 

展开阅读全文

没有更多推荐了,返回首页